%define	Summary	Amphetamine is a cool Jump'n Run game

Summary:	%{Summary}
Name:		amphetamine
Version:	0.8.10
Release:	5mdk
License:	GPL
Group:		Games/Arcade

Source0:	%name-%version.tar.bz2  
Source1:	%name-data-0.8.6.tar.bz2
Source2:	amph-16.png
Source3:	amph-32.png
Source4:	amph-48.png

Buildrequires:  libSDL1.2-devel

URL:		http://www.dataway.ch/~lukasl/amph/amph.html
Buildroot:	%_tmppath/%name-%version-%release-root

%description
Amphetamine is a 2D - Jump'n'run shooter in the tradition of Super Mario Bros
and other classics. But it has unique features:
   - Fast 256 colour graphics
   - Seven weapons (like the seven deadly sins): Fight with arrow and bow,
      a scie, fire hands, etc. against monsters
   - Never seen graphics (in this genre) such as coronas (remember Unreal),
     dynamic coloured lightning, fogging, semitransparence and much more...
   - Raging fights against 11 bloodsucking monsters which themselves have
     several killing powers.

%prep
%setup -q
# remove nasty no-newline-at-end-of-line
find . -name "*.hpp" -exec perl -pi -e '$_.="\n" if eof' {} \;
find . -name "*.cpp" -exec perl -pi -e '$_.="\n" if eof' {} \;


%build
%make INSTALL_DIR=%{_gamesdatadir}/amph CXXFLAGS="$RPM_OPT_FLAGS -O9 -funroll-loops -fomit-frame-pointer -ffast-math -Wcast-align -I./src `sdl-config --cflags`"


%install
rm -fr %buildroot

install -m755 amph -D $RPM_BUILD_ROOT%{_gamesbindir}/amph
install -d -m755 $RPM_BUILD_ROOT%{_gamesdatadir}
tar -C $RPM_BUILD_ROOT%{_gamesdatadir} -xjf %SOURCE1

install -m644 %SOURCE2 -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -m644 %SOURCE3 -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -m644 %SOURCE4 -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

install -d -m 0755 %buildroot/%_menudir
cat > %buildroot/%_menudir/%{name} <<EOF
	?package(%{name}):\
	command="%{_gamesbindir}/amph" \
	title="Amphetamine" \
	longtitle="%{Summary}" \
	icon="%{name}.png" \
	needs="x11"\
	section="Amusement/Arcade"
EOF

%pre
rm -rf %{_gamesbindir}/amph
 
%post
%update_menus
  
%postun
%clean_menus 

%files
%defattr(-,root,root)
%doc INSTALL README
%_gamesbindir/amph
%dir %{_gamesdatadir}/amph
%{_gamesdatadir}/amph/*
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_menudir}/%{name}

%clean
rm -fr %buildroot

%changelog
* Fri Aug 01 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.8.10-5mdk
- move files to correct locations
- bunzip2 icons
- use summary in longtitle
- cleaned up
- fix no-newline-at-end-of-some-sourcefiles
- compile with $RPM_OPT_FLAGS

* Sun Dec 29 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.8.10-4mdk
- rebuild for rpm and glibc

* Sun Sep 01 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.8.10-3mdk
- fix path (thx David Walser)

* Fri Jul 05 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.8.10-2mdk
- builrequires libSDL1.2-devel

* Tue Jun 11 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.8.10-1mdk
- 0.8.10
- fix icons in menu
- png icons

* Fri Jun 07 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.8.8-4mdk
- rebuild against new libtsdc++

* Tue Dec 25 2001 David BAUDENS <baudens@mandrakesoft.com> 0.8.8-3mdk
- Use standard icon in menu

* Tue Jun 26 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.8.8-2mdk
- rebuild

* Wed Dec 13 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.8.8-1mdk
- new in contribs
- menu entry

* Sun Dec 10 2000 Than Ngo <than@redhat.com>
- adopt for powertools
- fix up specfile

* Tue Nov 28 2000 Karsten Hopp <karsten@redhat.de>
- initial RPM
